Bug 1478515 - Accessing the 'manager' association of a ManageIQ_Providers_EmbeddedAnsible_AutomationManager_Job service model gives a NoMethodError exception
Summary: Accessing the 'manager' association of a ManageIQ_Providers_EmbeddedAnsible_A...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.2
Assignee: Lucy Fu
QA Contact: Dmitry Misharov
URL:
Whiteboard: ansible_embed:automate
Depends On: 1465826
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-04 17:57 UTC by Satoe Imaishi
Modified: 2017-10-24 00:17 UTC (History)
4 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1465826
Environment:
Last Closed: 2017-10-24 00:17:32 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-04 18:01:10 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/03d6f15e269fa982f7f387e48db068dc6d3d59fa

commit 03d6f15e269fa982f7f387e48db068dc6d3d59fa
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed Jul 5 17:29:03 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Aug 4 13:59:14 2017 -0400

    Merge pull request #47 from lfu/ansible_job_manager_1465826
    
    Remove the expose of manager to Embedded Ansible Job in service model.
    (cherry picked from commit bce0b069d6ce4740e5f8349f685224518c468061)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478515

 ...vice_manageiq-providers-automation_manager-orchestration_stack.rb | 5 -----
 ...ice_manageiq-providers-embedded_ansible-automation_manager-job.rb | 5 -----
 ...geiq-providers-embedded_automation_manager-orchestration_stack.rb | 5 -----
 3 files changed, 15 deletions(-)
 delete mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_manageiq-providers-automation_manager-orchestration_stack.rb
 delete mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_manageiq-providers-embedded_ansible-automation_manager-job.rb
 delete mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_manageiq-providers-embedded_automation_manager-orchestration_stack.rb

Comment 3 Dmitry Misharov 2017-08-28 09:02:07 UTC
Still getting "NoMethodError":
irb(main):004:0> $evm=MiqAeMethodService::MiqAeService.new(MiqAeEngine::MiqAeWorkspaceRuntime.new)
...
irb(main):005:0> job = $evm.vmdb('ManageIQ_Providers_EmbeddedAnsible_AutomationManager_Job').first
...
irb(main):006:0> job.associations
=> ["ext_management_system", "outputs", "parameters", "resources"]
irb(main):007:0> job.manager
NoMethodError: PostgreSQLAdapter#log_after_checkout, connection_pool: size: 5, connections: 1, in use: 1, waiting_in_queue: 0
PostgreSQLAdapter#log_after_checkin, connection_pool: size: 5, connections: 1, in use: 0, waiting_in_queue: 0
undefined method `manager' for #<MiqAeMethodService::MiqAeServiceManageIQ_Providers_EmbeddedAnsible_AutomationManager_Job:0x0000000ce34778>
        from /var/www/miq/vmdb/lib/miq_automation_engine/engine/miq_ae_method_service/miq_ae_service_model_base.rb:186:in `method_missing'
        from (irb):7
        from /opt/rh/cfme-gemset/gems/railties-5.0.3/lib/rails/commands/console.rb:65:in `start'
        from /opt/rh/cfme-gemset/gems/railties-5.0.3/lib/rails/commands/console_helper.rb:9:in `start'
        from /opt/rh/cfme-gemset/gems/railties-5.0.3/lib/rails/commands/commands_tasks.rb:78:in `console'
        from /opt/rh/cfme-gemset/gems/railties-5.0.3/lib/rails/commands/commands_tasks.rb:49:in `run_command!'
        from /opt/rh/cfme-gemset/gems/railties-5.0.3/lib/rails/commands.rb:18:in `<top (required)>'
        from bin/rails:4:in `require'
        from bin/rails:4:in `<main>'

Comment 5 Dmitry Misharov 2017-08-30 06:13:22 UTC
My apologies, I didn't carefully your reply, Lucy. Fixed and verified in 5.8.2.0.20170824192913_b09a5f8.

Comment 7 errata-xmlrpc 2017-10-24 00:17:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.